pcl::_PointXYZINormal Struct Reference

`#include <pcl/impl/point_types.hpp>`

Inheritance diagram for pcl::_PointXYZINormal:

## Public Attributes

| PCL_ADD_POINT4D
| PCL_ADD_NORMAL4D
union {
struct {
float intensity
float curvature
} |
float data_c [4]
}; |

## Detailed Description

Definition at line 948 of file point_types.hpp.

## Member Data Documentation

## @27

union { ... }

## curvature

float pcl::_PointXYZINormal::curvature

Definition at line 957 of file point_types.hpp.

Referenced by pcl::PointXYZINormal::PointXYZINormal().

## data_c

float pcl::_PointXYZINormal::data_c[4]

Definition at line 959 of file point_types.hpp.

## intensity

float pcl::_PointXYZINormal::intensity

Definition at line 956 of file point_types.hpp.

Referenced by pcl::PointXYZINormal::PointXYZINormal(), and pcl::CPCSegmentation< PointT >::segment().

## PCL_ADD_NORMAL4D

pcl::_PointXYZINormal::PCL_ADD_NORMAL4D

Definition at line 951 of file point_types.hpp.

## PCL_ADD_POINT4D

pcl::_PointXYZINormal::PCL_ADD_POINT4D

Definition at line 950 of file point_types.hpp.

The documentation for this struct was generated from the following file:

- /build/pcl-OilVEB/pcl-1.8.1+dfsg1/common/include/pcl/impl/point_types.hpp